Approve a QR code
This endpoint is called after scanning a QR Code generated by POST api/v1/users/auth/passwordless/qrcode/generate.
Once approved, the QR Code's status changes to "approved" and can be used for login.
Path parameters
qrCodeIdstring · uuidRequired
The unique identifier of the QR Code session.
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLResponses
200
The request was successful.
application/json
The API result model with data.
successbooleanRead-onlyRequired
This is the flag to indicate whether the API call is successful or not.
statusCodeinteger · int32Read-onlyRequired
This is the HTTP status code. This is used to determine the status code to be returned to the client.
messagestring · min: 1Required
This is the message to be displayed to the user.
429
API call exceeded rate limit due to too many requests.
application/json
post
/api/v1/users/auth/passwordless/qrcode/{qrCodeId}/approveLast updated